io.agora.rtc

## Enum Constants.MatrixID

- java.lang.Object
- - java.lang.Enum<Constants.MatrixID>
  - - io.agora.rtc.Constants.MatrixID

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.MatrixID>
  Enclosing class:
    Constants

      public static enum Constants.MatrixID
      extends java.lang.Enum<Constants.MatrixID>

  Matrix coefficients ID.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MATRIXID_BT2020_CL` BT.2020 constant luminance
    `MATRIXID_BT2020_NCL` BT.2020 non-constant luminance
    `MATRIXID_BT2100_ICTCP` BT.2100 ICtCp
    `MATRIXID_BT470BG` BT.470BG
    `MATRIXID_BT709` BT.709
    `MATRIXID_CDCLS` Chromaticity-derived constant luminance
    `MATRIXID_CDNCLS` Chromaticity-derived non-constant luminance
    `MATRIXID_FCC` FCC
    `MATRIXID_RGB` RGB
    `MATRIXID_SMPTE170M` SMPTE 170M
    `MATRIXID_SMPTE2085` SMPTE ST 2085
    `MATRIXID_SMPTE240M` SMPTE 240M
    `MATRIXID_UNSPECIFIED` Unspecified
    `MATRIXID_YCOCG` YCoCg

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value` Integer value of the matrix coefficients ID

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.MatrixID id)` Gets the integer value of the matrix coefficients ID.
    `static Constants.MatrixID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.MatrixID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MATRIXID_RGB

          public static final Constants.MatrixID MATRIXID_RGB

      RGB

    - #### MATRIXID_BT709

          public static final Constants.MatrixID MATRIXID_BT709

      BT.709

    - #### MATRIXID_UNSPECIFIED

          public static final Constants.MatrixID MATRIXID_UNSPECIFIED

      Unspecified

    - #### MATRIXID_FCC

          public static final Constants.MatrixID MATRIXID_FCC

      FCC

    - #### MATRIXID_BT470BG

          public static final Constants.MatrixID MATRIXID_BT470BG

      BT.470BG

    - #### MATRIXID_SMPTE170M

          public static final Constants.MatrixID MATRIXID_SMPTE170M

      SMPTE 170M

    - #### MATRIXID_SMPTE240M

          public static final Constants.MatrixID MATRIXID_SMPTE240M

      SMPTE 240M

    - #### MATRIXID_YCOCG

          public static final Constants.MatrixID MATRIXID_YCOCG

      YCoCg

    - #### MATRIXID_BT2020_NCL

          public static final Constants.MatrixID MATRIXID_BT2020_NCL

      BT.2020 non-constant luminance

    - #### MATRIXID_BT2020_CL

          public static final Constants.MatrixID MATRIXID_BT2020_CL

      BT.2020 constant luminance

    - #### MATRIXID_SMPTE2085

          public static final Constants.MatrixID MATRIXID_SMPTE2085

      SMPTE ST 2085

    - #### MATRIXID_CDNCLS

          public static final Constants.MatrixID MATRIXID_CDNCLS

      Chromaticity-derived non-constant luminance

    - #### MATRIXID_CDCLS

          public static final Constants.MatrixID MATRIXID_CDCLS

      Chromaticity-derived constant luminance

    - #### MATRIXID_BT2100_ICTCP

          public static final Constants.MatrixID MATRIXID_BT2100_ICTCP

      BT.2100 ICtCp

  - ### Field Detail

    - #### value

          public final int value

      Integer value of the matrix coefficients ID

  - ### Method Detail

    - #### values

          public static Constants.MatrixID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.MatrixID c : Constants.MatrixID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.MatrixID valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.MatrixID id)

      Gets the integer value of the matrix coefficients ID.
      Parameters:
        `id` - Matrix coefficients ID
      Returns:
        The integer value